Activate a public IPv6 network for a dedicated server

POST/v1/hosts/dedicated_servers/{server_id}/networks/public_ipv6

Make a POST request to the /v1/hosts/dedicated_servers/{server_id}/networks/public_ipv6 endpoint to create a /64 IPv6 network for a server specified in the path parameter.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

server_id*string

A unique identifier of a server.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/hosts/dedicated_servers/MvbmYpbY/networks/public_ipv6"
{  "id": "4zbqMDbp",  "title": "Public IPv6",  "status": "new",  "cidr": null,  "family": "ipv6",  "interface_type": "public",  "distribution_method": "route",  "additional": true,  "updated_at": "2026-05-28T06:57:40Z",  "created_at": "2026-05-28T06:57:40Z"}
{  "message": "Public IPv6 is not supported",  "code": "PUBLIC_IPV6_IS_NOT_SUPPORTED"}